Package org.eclipse.core.resources

# Interface IResourceStatus

All Superinterfaces:
  `IStatus`

public interface IResourceStatus extends IStatus
Represents status related to resources in the Resources plug-in and defines the relevant status code constants. Status objects created by the Resources plug-in bear its unique id (`ResourcesPlugin.PI_RESOURCES`) and one of these status codes.

See Also:
  - `IStatus`
  - `ResourcesPlugin.PI_RESOURCES`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BUILD_CONFIGURATION_NOT_FOUND`
Status code constant (value 384) indicating a build configuration with the specified ID unexpectedly does not exist.
`static final int`
`BUILD_FAILED`
Status code constant (value 75) indicating that a builder failed.
`static final int`
`CASE_VARIANT_EXISTS`
Status code constant (value 275) indicating this file system is not case sensitive and a resource that differs only in case unexpectedly exists on the local file system.
`static final int`
`EXISTS_LOCAL`
Status code constant (value 268) indicating a resource unexpectedly exists on the local file system.
`static final int`
`FAILED_DELETE_LOCAL`
Status code constant (value 273) indicating an error occurred while deleting a resource from the local file system.
`static final int`
`FAILED_DELETE_METADATA`
Status code constant (value 569) indicating the platform could not delete some of its metadata.
`static final int`
`FAILED_DESCRIBING_CONTENTS`
Status code constant (value 381) indicating that a problem occurred while retrieving the content description for a resource.
`static final int`
`FAILED_GETTING_CHARSET`
Status code constant (value 383) indicating that a problem occurred while getting the charset for a resource.
`static final int`
`FAILED_READ_LOCAL`
Status code constant (value 271) indicating an error occurred while reading part of a resource from the local file system.
`static final int`
`FAILED_READ_METADATA`
Status code constant (value 567) indicating the platform could not read some of its metadata.
`static final int`
`FAILED_SETTING_CHARSET`
Status code constant (value 382) indicating that a problem occurred while setting the charset for a resource.
`static final int`
`FAILED_WRITE_LOCAL`
Status code constant (value 272) indicating an error occurred while writing part of a resource to the local file system.
`static final int`
`FAILED_WRITE_METADATA`
Status code constant (value 568) indicating the platform could not write some of its metadata.
`static final int`
`INTERNAL_ERROR`
Status code constant (value 566) indicating an error internal to the platform has occurred.
`static final int`
`INVALID_NATURE_SET`
Status code constant (value 35) indicating that a given nature set does not satisfy its constraints.
`static final int`
`INVALID_RESOURCE_NAME`
Status code constant (value 278) indicating a file exists in the file system but its name is not a valid resource name.
`static final int`
`INVALID_VALUE`
Status code constant (value 77) indicating an invalid value.
`static final int`
`LINKING_NOT_ALLOWED`
Status code constant (value 378) indicating that linking is not permitted on a certain project.
`static final int`
`MARKER_NOT_FOUND`
Status code constant (value 376) indicating a marker unexpectedly does not exist in the workspace tree.
`static final int`
`MISSING_DESCRIPTION_REPAIRED`
Status code constant (value 234) indicating that a project description file (.project), was missing but it has been repaired.
`static final int`
`NO_LOCATION_LOCAL`
Status code constant (value 270) indicating the local file system location for a resource could not be computed.
`static final int`
`NOT_FOUND_LOCAL`
Status code constant (value 269) indicating a resource unexpectedly does not exist on the local file system.
`static final int`
`OPERATION_FAILED`
Status code constant (value 76) indicating that an operation failed.
`static final int`
`OUT_OF_SYNC_LOCAL`
Status code constant (value 274) indicating the workspace view of the resource differs from that of the local file system.
`static final int`
`OVERLAPPING_LOCATION`
Status code constant (value 235) indicating the local file system location for a resource overlaps the location of another resource.
`static final int`
`PARENT_READ_ONLY`
Status code constant (value 277) indicating that the parent file in the file system is marked as read-only.
`static final int`
`PARTNER_NOT_REGISTERED`
Status code constant (value 375) indicating that the sync partner is not registered with the workspace synchronizer.
`static final int`
`PATH_OCCUPIED`
Status code constant (value 374) indicating that the path of a resource being created is occupied by an existing resource of a different type.
`static final int`
`PROJECT_NOT_OPEN`
Status code constant (value 372) indicating a project is unexpectedly closed.
`static final int`
`READ_ONLY_LOCAL`
Status code constant (value 279) indicating that the file in the file system is marked as read-only.
`static final int`
`RESOURCE_EXISTS`
Status code constant (value 367) indicating a resource unexpectedly exists in the workspace.
`static final int`
`RESOURCE_NOT_FOUND`
Status code constant (value 368) indicating a resource unexpectedly does not exist in the workspace.
`static final int`
`RESOURCE_NOT_LINKED`
Status code constant (value 377) indicating a resource is unexpectedly not a linked resource.
`static final int`
`RESOURCE_NOT_LOCAL`
Status code constant (value 369) indicating a resource unexpectedly does not have content local to the workspace.
`static final int`
`RESOURCE_WRONG_TYPE`
Status code constant (value 366) indicating a resource exists in the workspace but is not of the expected type.
`static final int`
`VARIABLE_NOT_DEFINED`
Status code constant (value 379) indicating that a workspace path variable unexpectedly does not exist.
`static final int`
`VARIABLE_NOT_DEFINED_WARNING`
Status code constant (value 333) indicating that a workspace path variable unexpectedly does not exist.
`static final int`
`WORKSPACE_LOCKED`
Status code constant (value 380) indicating that an attempt was made to modify the workspace while it was locked.
`static final int`
`WORKSPACE_NOT_OPEN`
Status code constant (value 370) indicating a workspace is unexpectedly closed.
`static final int`
`WRONG_TYPE_LOCAL`
Status code constant (value 276) indicating a file exists in the file system but is not of the expected type (file instead of directory, or vice-versa).

### Fields inherited from interface org.eclipse.core.runtime.IStatus

`CANCEL, ERROR, INFO, OK, WARNING`

## Method Summary

Modifier and Type
Method
Description
`IPath`
`getPath()`
Returns the path of the resource associated with this status.

### Methods inherited from interface org.eclipse.core.runtime.IStatus

`getChildren, getCode, getException, getMessage, getPlugin, getSeverity, isMultiStatus, isOK, matches`

## Field Details

### INVALID_NATURE_SET

static final int INVALID_NATURE_SET
Status code constant (value 35) indicating that a given nature set does not satisfy its constraints. Severity: warning. Category: general.

See Also:
  - Constant Field Values

### BUILD_FAILED

static final int BUILD_FAILED
Status code constant (value 75) indicating that a builder failed. Severity: error. Category: general.

See Also:
  - Constant Field Values

### OPERATION_FAILED

static final int OPERATION_FAILED
Status code constant (value 76) indicating that an operation failed. Severity: error. Category: general.

See Also:
  - Constant Field Values

### INVALID_VALUE

static final int INVALID_VALUE
Status code constant (value 77) indicating an invalid value. Severity: error. Category: general.

See Also:
  - Constant Field Values

### MISSING_DESCRIPTION_REPAIRED

static final int MISSING_DESCRIPTION_REPAIRED
Status code constant (value 234) indicating that a project description file (.project), was missing but it has been repaired. Severity: warning. Category: local file system.

See Also:
  - Constant Field Values

### OVERLAPPING_LOCATION

static final int OVERLAPPING_LOCATION
Status code constant (value 235) indicating the local file system location for a resource overlaps the location of another resource. Severity: warning. Category: local file system.

See Also:
  - Constant Field Values

### EXISTS_LOCAL

static final int EXISTS_LOCAL
Status code constant (value 268) indicating a resource unexpectedly exists on the local file system. Severity: error. Category: local file system.

See Also:
  - Constant Field Values

### NOT_FOUND_LOCAL

static final int NOT_FOUND_LOCAL
Status code constant (value 269) indicating a resource unexpectedly does not exist on the local file system. Severity: error. Category: local file system.

See Also:
  - Constant Field Values

### NO_LOCATION_LOCAL

static final int NO_LOCATION_LOCAL
Status code constant (value 270) indicating the local file system location for a resource could not be computed. Severity: error. Category: local file system.

See Also:
  - Constant Field Values

### FAILED_READ_LOCAL

static final int FAILED_READ_LOCAL
Status code constant (value 271) indicating an error occurred while reading part of a resource from the local file system. Severity: error. Category: local file system.

See Also:
  - Constant Field Values

### FAILED_WRITE_LOCAL

static final int FAILED_WRITE_LOCAL
Status code constant (value 272) indicating an error occurred while writing part of a resource to the local file system. Severity: error. Category: local file system.

See Also:
  - Constant Field Values

### FAILED_DELETE_LOCAL

static final int FAILED_DELETE_LOCAL
Status code constant (value 273) indicating an error occurred while deleting a resource from the local file system. Severity: error. Category: local file system.

See Also:
  - Constant Field Values

### OUT_OF_SYNC_LOCAL

static final int OUT_OF_SYNC_LOCAL
Status code constant (value 274) indicating the workspace view of the resource differs from that of the local file system. The requested operation has been aborted to prevent the possible loss of data. Severity: error. Category: local file system.

See Also:
  - Constant Field Values

### CASE_VARIANT_EXISTS

static final int CASE_VARIANT_EXISTS
Status code constant (value 275) indicating this file system is not case sensitive and a resource that differs only in case unexpectedly exists on the local file system. Severity: error. Category: local file system.

See Also:
  - Constant Field Values

### WRONG_TYPE_LOCAL

static final int WRONG_TYPE_LOCAL
Status code constant (value 276) indicating a file exists in the file system but is not of the expected type (file instead of directory, or vice-versa). Severity: error. Category: local file system.

See Also:
  - Constant Field Values

### PARENT_READ_ONLY

static final int PARENT_READ_ONLY
Status code constant (value 277) indicating that the parent file in the file system is marked as read-only. Severity: error. Category: local file system.

Since:
  2.1
See Also:
  - Constant Field Values

### INVALID_RESOURCE_NAME

static final int INVALID_RESOURCE_NAME
Status code constant (value 278) indicating a file exists in the file system but its name is not a valid resource name. Severity: error. Category: local file system.

See Also:
  - Constant Field Values

### READ_ONLY_LOCAL

static final int READ_ONLY_LOCAL
Status code constant (value 279) indicating that the file in the file system is marked as read-only. Severity: error. Category: local file system.

Since:
  3.0
See Also:
  - Constant Field Values

### VARIABLE_NOT_DEFINED_WARNING

static final int VARIABLE_NOT_DEFINED_WARNING
Status code constant (value 333) indicating that a workspace path variable unexpectedly does not exist. Severity: warning. Category: workspace.

Since:
  2.1
See Also:
  - Constant Field Values

### RESOURCE_WRONG_TYPE

static final int RESOURCE_WRONG_TYPE
Status code constant (value 366) indicating a resource exists in the workspace but is not of the expected type. Severity: error. Category: workspace.

See Also:
  - Constant Field Values

### RESOURCE_EXISTS

static final int RESOURCE_EXISTS
Status code constant (value 367) indicating a resource unexpectedly exists in the workspace. Severity: error. Category: workspace.

See Also:
  - Constant Field Values

### RESOURCE_NOT_FOUND

static final int RESOURCE_NOT_FOUND
Status code constant (value 368) indicating a resource unexpectedly does not exist in the workspace. Severity: error. Category: workspace.

See Also:
  - Constant Field Values

### RESOURCE_NOT_LOCAL

static final int RESOURCE_NOT_LOCAL
Status code constant (value 369) indicating a resource unexpectedly does not have content local to the workspace. Severity: error. Category: workspace.

See Also:
  - Constant Field Values

### WORKSPACE_NOT_OPEN

static final int WORKSPACE_NOT_OPEN
Status code constant (value 370) indicating a workspace is unexpectedly closed. Severity: error. Category: workspace.

See Also:
  - Constant Field Values

### PROJECT_NOT_OPEN

static final int PROJECT_NOT_OPEN
Status code constant (value 372) indicating a project is unexpectedly closed. Severity: error. Category: workspace.

See Also:
  - Constant Field Values

### PATH_OCCUPIED

static final int PATH_OCCUPIED
Status code constant (value 374) indicating that the path of a resource being created is occupied by an existing resource of a different type. Severity: error. Category: workspace.

See Also:
  - Constant Field Values

### PARTNER_NOT_REGISTERED

static final int PARTNER_NOT_REGISTERED
Status code constant (value 375) indicating that the sync partner is not registered with the workspace synchronizer. Severity: error. Category: workspace.

See Also:
  - Constant Field Values

### MARKER_NOT_FOUND

static final int MARKER_NOT_FOUND
Status code constant (value 376) indicating a marker unexpectedly does not exist in the workspace tree. Severity: error. Category: workspace.

See Also:
  - Constant Field Values

### RESOURCE_NOT_LINKED

static final int RESOURCE_NOT_LINKED
Status code constant (value 377) indicating a resource is unexpectedly not a linked resource. Severity: error. Category: workspace.

Since:
  2.1
See Also:
  - Constant Field Values

### LINKING_NOT_ALLOWED

static final int LINKING_NOT_ALLOWED
Status code constant (value 378) indicating that linking is not permitted on a certain project. Severity: error. Category: workspace.

Since:
  2.1
See Also:
  - Constant Field Values

### VARIABLE_NOT_DEFINED

static final int VARIABLE_NOT_DEFINED
Status code constant (value 379) indicating that a workspace path variable unexpectedly does not exist. Severity: error. Category: workspace.

Since:
  2.1
See Also:
  - Constant Field Values

### WORKSPACE_LOCKED

static final int WORKSPACE_LOCKED
Status code constant (value 380) indicating that an attempt was made to modify the workspace while it was locked. Resource changes are disallowed during certain types of resource change event notification. Severity: error. Category: workspace.

Since:
  2.1
See Also:
  - `IResourceChangeEvent`
  - Constant Field Values

### FAILED_DESCRIBING_CONTENTS

static final int FAILED_DESCRIBING_CONTENTS
Status code constant (value 381) indicating that a problem occurred while retrieving the content description for a resource. Severity: error. Category: workspace.

Since:
  3.0
See Also:
  - `IFile.getContentDescription()`
  - Constant Field Values

### FAILED_SETTING_CHARSET

static final int FAILED_SETTING_CHARSET
Status code constant (value 382) indicating that a problem occurred while setting the charset for a resource. Severity: error. Category: workspace.

Since:
  3.0
See Also:
  - `IContainer.setDefaultCharset(String, IProgressMonitor)`
  - `IFile.setCharset(String, IProgressMonitor)`
  - Constant Field Values

### FAILED_GETTING_CHARSET

static final int FAILED_GETTING_CHARSET
Status code constant (value 383) indicating that a problem occurred while getting the charset for a resource. Severity: error. Category: workspace.

Since:
  3.0
See Also:
  - Constant Field Values

### BUILD_CONFIGURATION_NOT_FOUND

static final int BUILD_CONFIGURATION_NOT_FOUND
Status code constant (value 384) indicating a build configuration with the specified ID unexpectedly does not exist. Severity: error. Category: workspace.

Since:
  3.7
See Also:
  - Constant Field Values

### INTERNAL_ERROR

static final int INTERNAL_ERROR
Status code constant (value 566) indicating an error internal to the platform has occurred. Severity: error. Category: internal.

See Also:
  - Constant Field Values

### FAILED_READ_METADATA

static final int FAILED_READ_METADATA
Status code constant (value 567) indicating the platform could not read some of its metadata. Severity: error. Category: internal.

See Also:
  - Constant Field Values

### FAILED_WRITE_METADATA

static final int FAILED_WRITE_METADATA
Status code constant (value 568) indicating the platform could not write some of its metadata. Severity: error. Category: internal.

See Also:
  - Constant Field Values

### FAILED_DELETE_METADATA

static final int FAILED_DELETE_METADATA
Status code constant (value 569) indicating the platform could not delete some of its metadata. Severity: error. Category: internal.

See Also:
  - Constant Field Values

## Method Details

### getPath

IPath getPath()
Returns the path of the resource associated with this status.

Returns:
  the path of the resource related to this status